hpc-0.6.0.3: Code Coverage Library for Haskell

Safe Haskell | Safe
Language | Haskell98

Trace.Hpc.Tix

Description

Datatypes and file-access routines for the tick data file (`.tix`) used by Hpc.

Synopsis

- data Tix = Tix [TixModule]
- data TixModule = TixModule String Hash Int [Integer]
- tixModuleName :: TixModule -> String
- tixModuleHash :: TixModule -> Hash
- tixModuleTixs :: TixModule -> [Integer]
- readTix :: String -> IO (Maybe Tix)
- writeTix :: String -> Tix -> IO ()
- getTixFileName :: String -> String

# Documentation

data Tix #

`Tix` is the storage format for our dynamic information about what boxes are ticked.

Constructors

Tix [TixModule] |

Instances

Eq Tix # |
Methods (==) :: Tix -> Tix -> Bool # (/=) :: Tix -> Tix -> Bool #
Read Tix # |
Methods readsPrec :: Int -> ReadS Tix Source # readList :: ReadS [Tix] Source # readPrec :: ReadPrec Tix Source # readListPrec :: ReadPrec [Tix] Source #
Show Tix # |
Methods showsPrec :: Int -> Tix -> ShowS Source # show :: Tix -> String Source # showList :: [Tix] -> ShowS Source #

data TixModule #

Constructors

TixModule String Hash Int [Integer] |

Instances

Eq TixModule # |
Methods (==) :: TixModule -> TixModule -> Bool # (/=) :: TixModule -> TixModule -> Bool #
Read TixModule # |
Methods readsPrec :: Int -> ReadS TixModule Source # readList :: ReadS [TixModule] Source # readPrec :: ReadPrec TixModule Source # readListPrec :: ReadPrec [TixModule] Source #
Show TixModule # |
Methods showsPrec :: Int -> TixModule -> ShowS Source # show :: TixModule -> String Source # showList :: [TixModule] -> ShowS Source #

tixModuleName :: TixModule -> String #

tixModuleHash :: TixModule -> Hash #

tixModuleTixs :: TixModule -> [Integer] #

readTix :: String -> IO (Maybe Tix) #

Read a `.tix` File.

writeTix :: String -> Tix -> IO () #

Write a `.tix` File.

getTixFileName :: String -> String #

`getTixFullName` takes a binary or `.tix`-file name, and normalizes it into a `.tix`-file name.